<?php if (!defined('ABSPATH')) {
    die('Direct access forbidden.');
}

add_action('add_meta_boxes', 'etsada_etcodes_metabox_page');
function etsada_etcodes_metabox_page()
{

    $prefix = 'etsada_etcodes_';
/*===================================================================*/
/*  1 - Page Settings
/*===================================================================*/
    $meta_box = array(
        'id' => 'etcodes-meta-box-page',
        'title' => esc_html__('Page Settings', 'sada'),
        'page' => 'page',
        'context' => 'normal',
        'priority' => 'high',
        'fields' => array(
            array(
                'name' => esc_html__('Page Background Color:', 'sada'),
                'id' => $prefix . 'page_background',
                'type' => 'color',
                'desc' => esc_html__('Adjust the color for this page background.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Header Style:', 'sada'),
                'desc' => esc_html__('Select an alternate header style for page.', 'sada'),
                'id' => $prefix . 'header_style',
                'type' => 'select',
                'std' => '',
                'options' => array(
                    '' => esc_html__('Default ', 'sada'),
                    'header-one' => esc_html__('Logo & Menu Vertical Align', 'sada'),
                    'header-two' => esc_html__('Logo Between Two Menus', 'sada'),
                    'header-three' => esc_html__('Top Logo', 'sada'),
                    'header-four' => esc_html__('Left Align', 'sada'),
                    'header-five' => esc_html__('Logo & Hamburger Menu Vertical Align', 'sada'),
                    'header-six' => esc_html__('Sidebar Header', 'sada'),
                    'header-seven' => esc_html__('Center Align logo with Hamburger Menu', 'sada'),
                ),
            ),
            array(
                'name' => esc_html__('Nav Align', 'sada'),
                'desc' => esc_html__('Select Nav Align for this page header.', 'sada'),
                'id' => $prefix . 'page_nav_align',
                'type' => 'radio',
                'std' => '',
                'options' => array(
                    'nav-align-left' => esc_html__('Left', 'sada'),
                    'nav-align-center' => esc_html__('Center', 'sada'),
                    'nav-align-right' => esc_html__('Right', 'sada'),
                ),
            ),
            array(
                'name' => esc_html__('Header Background Color:', 'sada'),
                'id' => $prefix . 'header_background',
                'type' => 'color',
                'desc' => esc_html__('Adjust the color for this header background.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Logo Color Scheme:', 'sada'),
                'desc' => esc_html__('Select the Logo Color Scheme for this page header.', 'sada'),
                'id' => $prefix . 'page_logo_color_scheme',
                'type' => 'radio',
                'std' => '',
                'options' => array(
                    'dark' => esc_html__('Dark', 'sada'),
                    'light' => esc_html__('Light', 'sada'),
                ),
            ),
            array(
                'name' => esc_html__('Header Nav Color:', 'sada'),
                'id' => $prefix . 'header_nav_color',
                'type' => 'color',
                'desc' => esc_html__('Adjust the color for this header navigation.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Header Top Padding:', 'sada'),
                'id' => $prefix . 'header_top_padding',
                'type' => 'text',
                'desc' => esc_html__('Header top padding.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Header Bottom Padding:', 'sada'),
                'id' => $prefix . 'header_bottom_padding',
                'type' => 'text',
                'desc' => esc_html__('Header bottom padding.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Header Full Width?', 'sada'),
                'id' => $prefix . 'header_full_width',
                'type' => 'checkbox',
                'desc' => esc_html__('Select to set header width full for this page.', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Header Side Padding:', 'sada'),
                'id' => $prefix . 'fluid_header_x_padding',
                'type' => 'text',
                'desc' => esc_html__('Header right left padding.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Absolute Header?', 'sada'),
                'id' => $prefix . 'absolute_header',
                'type' => 'checkbox',
                'desc' => esc_html__('Make the header position absolute on this page?', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Sticky Header?', 'sada'),
                'id' => $prefix . 'sticky_header',
                'type' => 'checkbox',
                'desc' => esc_html__('Make the header stick with the scroll on this page?', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Social Icons in header?', 'sada'),
                'id' => $prefix . 'is_header_social_icons',
                'type' => 'checkbox',
                'desc' => esc_html__('Display Social Icons in header on this page?', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Search bar?', 'sada'),
                'id' => $prefix . 'is_header_search_bar',
                'type' => 'checkbox',
                'desc' => esc_html__('Display Search bar in header on this page?', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Shopping cart in header?', 'sada'),
                'id' => $prefix . 'is_header_shopping_cart',
                'type' => 'checkbox',
                'desc' => esc_html__('Display Shopping cart in header on this page?', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Top Header bar?', 'sada'),
                'id' => $prefix . 'is_top_header_bar',
                'type' => 'checkbox',
                'desc' => esc_html__('Display top header bar on this page?', 'sada'),
                'std' => false,
            ),
            array(
                'name' => esc_html__('Select Custom Footer:', 'sada'),
                'desc' => esc_html__('Select an alternate footer for this page.', 'sada') . ' <a href="' . esc_url(admin_url('edit.php?post_type=etcodes-footer')) . '" target="_blank">' . esc_html__('To create or customize footer click me', 'sada') . '</a>.',
                'id' => $prefix . 'custom_footer',
                'type' => 'select',
                'std' => '',
                'options' => etsada_etcodes_footers_list(),
            ),
        ),
    );
    etsada_etcodes_add_meta_box($meta_box);

/*===================================================================*/
/*  1 - Page Title Settings
/*===================================================================*/
    $meta_box = array(
        'id' => 'etcodes-meta-box-page-title',
        'title' => esc_html__('Page Title Settings', 'sada'),
        'page' => 'page',
        'context' => 'normal',
        'priority' => 'high',
        'fields' => array(
            array(
                'name' => esc_html__('Display Page Title:', 'sada'),
                'id' => $prefix . 'page_title',
                'type' => 'checkbox',
                'desc' => esc_html__('Select to display the page title above the main entry content.', 'sada'),
                'std' => true,
            ),
            array(
                'name' => esc_html__('Title Position:', 'sada'),
                'desc' => esc_html__('Select to adjust title position.', 'sada'),
                'id' => $prefix . 'page_title_position',
                'type' => 'radio',
                'std' => 'text-left',
                'options' => array(
                    'text-left' => esc_html__('Left', 'sada'),
                    'text-center' => esc_html__('Center', 'sada'),
                    'text-right' => esc_html__('Right', 'sada'),
                ),
            ),
            array(
                'name' => esc_html__('Page Title Container Background Color:', 'sada'),
                'id' => $prefix . 'page_title_background',
                'type' => 'color',
                'desc' => esc_html__('Adjust the color for this page title container background.', 'sada'),
                'std' => '',
                'val' => '',
            ),
            array(
                'name' => esc_html__('Page Title Container Background Image:', 'sada'),
                'id' => $prefix . 'page_title_background_img',
                'type' => 'image',
                'desc' => esc_html__('Browse & Upload', 'sada'),
                'std' => '',
            ),

        ),
    );
    etsada_etcodes_add_meta_box($meta_box);

}
