<?php if (!defined('ABSPATH')) {
    die('Direct access forbidden.');
}
$etsada_etcodes_theme = wp_get_theme();
$etsada_etcodes_version = $etsada_etcodes_theme->get( 'Version' );
$etsada_etcodes_template_directory = get_template_directory_uri();

/***********************************************************************************************/
/* Enqueue the fonts, Js, CSS files. */
/***********************************************************************************************/



/************* Enqueue Fonts files *********************/

wp_enqueue_style(
    'etsada-etcodes-google-fonts',
    etsada_etcodes_google_fonts_url(),
    array(),
    $etsada_etcodes_version
);

/************* Enqueue css files *********************/

// Load bootstrap stylesheet.
wp_enqueue_style(
    'bootstrap',
    $etsada_etcodes_template_directory . '/assets/css/bootstrap.min.css',
    array(),
    $etsada_etcodes_version
);

// Load font-awesome stylesheet.
wp_enqueue_style(
    'font-awesome',
    'https://use.fontawesome.com/releases/v5.3.1/css/all.css',
    array(),
    $etsada_etcodes_version
);

// Load font-awesome stylesheet.
wp_enqueue_style(
    'spacing-and-height',
    $etsada_etcodes_template_directory . '/assets/css/plugins/spacing-and-height.css',
    array(),
    $etsada_etcodes_version
);

// Load magnific-popup stylesheet.
wp_enqueue_style(
    'magnific-popup',
    $etsada_etcodes_template_directory . '/assets/css/plugins/magnific-popup.css',
    array(),
    $etsada_etcodes_version
);

// Load theme-modules stylesheet.
wp_enqueue_style(
    'etsada-etcodes-theme-modules',
    $etsada_etcodes_template_directory . '/assets/css/theme-modules.css',
    array(),
    $etsada_etcodes_version
);
// Load theme-blocks stylesheet.
wp_enqueue_style(
	'etsada-etcodes-theme-blocks-css',
	$etsada_etcodes_template_directory . '/assets/css/theme-blocks.css',
	array(),
    $etsada_etcodes_version
);
// Load etsada-etcodes-theme-wp-core stylesheet.
wp_enqueue_style(
    'etsada-etcodes-theme-wp-core',
    $etsada_etcodes_template_directory . '/assets/css/theme-wp-core.css',
    array(),
    $etsada_etcodes_version
);

if ( class_exists( 'WooCommerce' ) ) {
    // Load woocommerce stylesheet.
    wp_enqueue_style(
        'etsada-etcodes-woocommerce',
        $etsada_etcodes_template_directory . '/assets/css/woocommerce.css',
        array(),
        $etsada_etcodes_version
    );
}

/************* Enqueue js files *********************/

// Load bootstrap js.
wp_enqueue_script(
    'bootstrap-bundle-min',
    $etsada_etcodes_template_directory . '/assets/js/plugins/bootstrap.bundle.min.js',
    array('jquery'),
    $etsada_etcodes_version,
    true
);

// Load isotope js.
wp_enqueue_script(
    'isotope',
    $etsada_etcodes_template_directory . '/assets/js/plugins/isotope.pkgd.min.js',
    array('jquery'),
    $etsada_etcodes_version,
    true
);

// Load imagesloaded js.
wp_enqueue_script( 'imagesloaded' );

// Load magnific-popup js.
wp_enqueue_script(
    'jquery-magnific-popup',
    $etsada_etcodes_template_directory . '/assets/js/plugins/jquery.magnific-popup.min.js',
    array('jquery'),
    $etsada_etcodes_version,
    true
);
// Load one-page-scroll js.
wp_enqueue_script(
    'one-page-scroll',
    $etsada_etcodes_template_directory . '/assets/js/plugins/onepage.min.js',
    array('jquery'),
    $etsada_etcodes_version,
    true
);
//scrollSpeed
if (get_theme_mod( 'etsada_etcodes_is_scroll_to_top_btn', false)) {
    wp_enqueue_script(
        'jquery-scrollspeed',
        $etsada_etcodes_template_directory . '/assets/js/plugins/jquery.scrollSpeed.js',
        array('jquery'),
        $etsada_etcodes_version,
        true
    );
}

// Load main js.
wp_enqueue_script(
    'etsada-etcodes-main',
    $etsada_etcodes_template_directory . '/assets/js/main.js',
    array('jquery'),
    $etsada_etcodes_version,
    true
);

// on single blog post pages with comments open and threaded comments
if (is_singular() && comments_open() && get_option('thread_comments')) {
    // enqueue the javascript that performs in-link comment reply fanciness
    wp_enqueue_script('comment-reply');
}
